ncurses_noraw
ncurses_panel_above
Ncurses Functions
PHP Manual

# ncurses_pair_content

(PHP 4 >= 4.3.0, PHP 5 < 5.3.0, PECL ncurses >= 1.0.0)

ncurses_pair_content — Retrieves foreground and background colors of a color pair

### Description

int ncurses_pair_content ( int `$pair` , int `&$f` , int `&$b` )

Retrieves the foreground and background colors that constitute the given color pair. Terminal color capabilities must be initialized with ncurses_start_color() prior to calling this function.

### Parameters

`pair`

  The number of the color pair to retrieve information for.

`f`

  A reference to which to return the foreground color of the color pair. The information returned will be a color number referring to one of the pre-defined colors or a color defined previously by ncurses_init_color() if the terminal supports color changing.

`b`

  A reference to which to return the background color of the color pair. The information returned will be a color number referring to one of the pre-defined colors or a color defined previously by ncurses_init_color() if the terminal supports color changing.

### Return Values

Returns -1 if the function was successful, and 0 if ncurses or terminal color capabilities have not been initialized.

### See Also

- ncurses_init_pair() - Define a color pair
- ncurses_start_color() - Initializes color functionality

ncurses_noraw
ncurses_panel_above
Ncurses Functions
PHP Manual